org.apache.mina.codec

## Interface StatelessProtocolDecoder<INPUT,OUTPUT>

Type Parameters:
  `INPUT` - the incoming message to decode (the low level message, usually a `ByteBuffer`)
  `OUTPUT` - the decoded message (your high level protocol Pojo/DTO)

All Superinterfaces:
  ProtocolDecoder<INPUT,OUTPUT,Void>

All Known Implementing Classes:
  CoapDecoder, IoBufferDecoder, JavaNativeMessageDecoder, ProtobufDynamicMessageDecoder, ProtobufMessageDecoder, ThriftDynamicMessageDecoder, ThriftMessageDecoder

    public interface StatelessProtocolDecoder<INPUT,OUTPUT>
    extends ProtocolDecoder<INPUT,OUTPUT,Void>

A state less `ProtocolDecoder` : no context stored for the different sessions.

Author:
  Apache MINA Project

### Method Summary

### Methods inherited from interface org.apache.mina.codec.ProtocolDecoder

`createDecoderState, decode, finishDecode`